std::time_get_byname(3)

NAME
std::time_get_byname - std::time_get_byname

Synopsis
   Defined in header <locale>
   template<
   class CharT,
   class InputIt = std::istreambuf_iterator<CharT>
   > class time_get_byname : public std::time_get<CharT, InputIt>
   std::time_get_byname is a std::time_get facet which encapsulates time and date
   parsing rules of the locale specified at its construction.
   Two specializations are provided by the standard library
   Defined in header <locale>
   std::time_get_byname<char, InputIt> narrow/multibyte time parsing
   std::time_get_byname<wchar_t, InputIt> wide string time parsing

Member types
   Member type Definition
   char_type CharT
   iter_type InputIt

Member functions
   constructor constructs a new time_get_byname facet
                 (public member function)
   destructor destroys a time_get_byname facet
                 (protected member function) std::time_get_byname::time_get_byname
   explicit time_get_byname( const char* name, std::size_t refs = 0 );
   explicit time_get_byname( const std::string& name, std::size_t refs = (since C++11)
   0 );
   Constructs a new std::time_get_byname facet for a locale with name.
   refs is used for resource management: if refs == 0, the implementation destroys the
   facet, when the last std::locale object holding it is destroyed. Otherwise, the
   object is not destroyed.

Parameters
   name - the name of the locale
   refs - the number of references that link to the facet std::time_get_byname::~time_get_byname
   protected:
   ~time_get_byname();
   Destroys the facet. Inherited from std::time_get
   Member type Definition
   char_type CharT
   iter_type InputIt

Member objects
   Member name Type
   id (static) std::locale::id

Member functions
   date_order invokes do_date_order
                 (public member function of std::time_get<CharT,InputIt>)
   get_time invokes do_get_time
                 (public member function of std::time_get<CharT,InputIt>)
   get_date invokes do_get_date
                 (public member function of std::time_get<CharT,InputIt>)
   get_weekday invokes do_get_weekday
                 (public member function of std::time_get<CharT,InputIt>)
   get_monthname invokes do_get_monthname
                 (public member function of std::time_get<CharT,InputIt>)
   get_year invokes do_get_year
                 (public member function of std::time_get<CharT,InputIt>)
   get invokes do_get
   (C++11) (public member function of std::time_get<CharT,InputIt>)

Protected member functions
   do_date_order obtains preferred ordering of day, month, and year
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
   do_get_time extracts hours, minutes, and seconds from input stream
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
   do_get_date extracts month, day, and year from input stream
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
   do_get_weekday extracts the name of a day of the week from input stream
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
   do_get_monthname extacts a month name from input stream
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
   do_get_year extracts a year from input stream
   [virtual] (virtual protected member function of
                     std::time_get<CharT,InputIt>)
                     extracts date/time components from input stream, according to the
   do_get specified format
   [virtual] (C++11) (virtual protected member function of
                     std::time_get<CharT,InputIt>) Inherited from std::time_base
   Type Definition
   dateorder date order enumeration type, defining the values no_order, dmy, mdy, ymd,
             and ydm

Example
    This section is incomplete
    Reason: no example

See also
            parses time/date values from an input character sequence into struct
   time_get std::tm
            (class template)
   get_time parses a date/time value of specified format
   (C++11) (function template)